Skip to main content

Add fleet vehicles

POST 

/fleets/:id/vehicles

Creates or updates vehicles by VIN within the fleet. Send one vehicle object or a root array containing 1 to 500 vehicles. Do not wrap a batch in a vehicles property. Response order follows request order.

Request

Path Parameters

    id stringrequired

    Fleet inspection ULID.

Body

required
    oneOf
    chassis_number stringrequired

    Possible values: Value must match regular expression ^[A-HJ-NPR-Z0-9]{12}$|^[A-HJ-NPR-Z0-9]{17}$

    A 12 or 17 character uppercase VIN. I, O, and Q are not allowed.

    vehicle_regno stringrequired

    Possible values: <= 60 characters

    engine_no stringnullable

    Possible values: <= 60 characters

    vehicle_type stringrequired

    Possible values: <= 100 characters

    manufacturer stringrequired

    Possible values: <= 255 characters

    model stringrequired

    Possible values: <= 150 characters

    year integerrequired

    Possible values: >= 1901 and <= 2155

    color stringrequired

    Possible values: <= 50 characters

Responses

Vehicle or vehicles saved successfully. A single request returns one object, while a batch returns an array.

Schema
    data object
    oneOf
    id integer

    Use this value as fleet_vehicle_id when creating an assessment.

    vin string
    registration_no string
    engine_no stringnullable
    body_type string
    maker string
    model string
    year integer
    color string
    created_at date-time
Loading...